# PSF-LoginServer - master - net.psforever.objects.serverobject.turret.WeaponTurrets
PSF - LoginServer - master - net.psforever.objects.serverobject.turret.WeaponTurrets
Keywords: PSF LoginServer master net.psforever.objects.serverobject.turret.WeaponTurrets

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package turret
  Definition Classes
    serverobject
- FacilityTurret
- FacilityTurretControl
- FacilityTurretDefinition
- TurretAmmoBox
- TurretDefinition
- TurretUpgrade
- TurretWeapon
- WeaponTurret
- WeaponTurrets

o

net.psforever.objects.serverobject.turret

# WeaponTurrets

###

#### object WeaponTurrets

Source
  WeaponTurrets.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. WeaponTurrets
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def FinishUpgradingMannedTurret(target: FacilityTurret, upgrade: TurretUpgrade.Value): Unit

   The process of upgrading a turret's weapon(s) is completed.

   The process of upgrading a turret's weapon(s) is completed. * Pass the message onto the turret and onto the vehicle events system.

   target

     the facility turret being upgraded

   upgrade

     the upgrade being applied to the turret (usually, it's weapon system)

   See also

     `FacilityTurret`

     `TurretUpgrade`

     `TurretUpgrader.AddTask`

     `TurretUpgrader.ClearSpecific`

     `VehicleServiceMessage.TurretUpgrade`

5.  def FinishUpgradingMannedTurret(target: FacilityTurret, user: Player, tool: Tool, upgrade: TurretUpgrade.Value)(): Unit

   The process of upgrading a turret's weapon(s) is completed.

   The process of upgrading a turret's weapon(s) is completed. Pass the message onto the turret and onto the vehicle events system. Additionally, force-deplete the ammunition count of the nano-dispenser used to perform the upgrade.

   target

     the turret

   tool

     the nano-dispenser that was used to perform this upgrade

   upgrade

     the new upgrade state

6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  def toString(): String
    Definition Classes
      AnyRef → Any
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped